apiVersion: batch/v1
kind: Job
metadata:
  name: "{{JOB_NAME}}"
  namespace: "{{NAMESPACE}}"
spec:
  backoffLimit: 0
  parallelism: 1
  completions: 1
  ttlSecondsAfterFinished: 1800
  template:
    metadata:
      labels:
        app: upload-app-image
    spec:
      hostNetwork: true
      serviceAccountName: "{{SERVICE_ACCOUNT}}"
      containers:
        - image: "{{IMAGE}}"
          name: uploader
          resources: {}
          args:
            - "-o"
            - "upload"
            - "-s"
            - "{{SRC_LOCATION}}"
            - "-d"
            - "{{DEST_LOCATION}}"
            - "-i"
            - "{{IMAGE_ID}}"
            {{NDA}}
            {{NSH}}
            {{NDH}}
      restartPolicy: Never
